Subject: Re: Free codes...

From: [email-masked] (H. Peter Anvin N9ITP)
Date: Thu, 4 Jun 1992 14:28:42 -0700

> Interesting idea.  I was all set to tromp on it, on the grounds that
> it irks me to have copies of things from one mud to another...  For
> example, I wouldn't want to see a copy of the lambdamoo hot tub appear
> on another MOO.  But a lot of the code on LambdaMOO is pretty generic.
> Like, generic furniture.  Maybe I'll make a minor project to @dump my
> various generics to go on such an FTP site.  Indeed, might it be
> reasonable to use parcftp:/pub/MOO/contrib/ for this purpose?  Just
> name the files whatever.moocode...

The main question I have about this relates to the nature of MOOs in
general; due to the object-oriented nature of the system it becomes
necessary to recognize dependencies and document them.  Even if LambdaCore
can be assumed to be a common denominator, there are a lot of extensions
that are site-specific.

Still, I don't see why not to spread good ideas around.  After all, the
amazing programmability of MOOs is after all the main reason to use it...

	/hpa

-- 
INTERNET: [email-masked]   TALK:      [email-masked]
BITNET:   HPA@NUACC     HAM RADIO: N9ITP, SM4TKN
IRC:      Scalar        NeXTMAIL:  [email-masked]
"That dreemless sleep that cures all aches."